Bug 779978 - (SOA-2338) SOAPProcessor relies on new JBossWS CXF feature, not present in SOA
SOAPProcessor relies on new JBossWS CXF feature, not present in SOA
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0.ER1
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0 GA,5.1.0.ER5
Assigned To: Julian Coleman
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 07:40 EDT by Kevin Conner
Modified: 2011-02-10 22:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-10 22:59:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2338 None None None Never

  None (edit)
Description Kevin Conner 2010-09-22 07:40:48 EDT
project_key: SOA

The invm invocation relies on BusHolder but this was not added until a later version of the JBossWS CXF integration.
Comment 1 Kevin Conner 2010-09-22 09:13:08 EDT
Link: Added: This issue depends JBESB-3484
Comment 2 Kevin Conner 2010-09-22 09:15:40 EDT
An alternative implementation has been provided, working around the use of BusHolder, but this requires modifications to the CXF configuration.
Comment 3 trev 2010-10-11 05:08:58 EDT
needs new WS and may need extra config
Comment 4 Julian Coleman 2010-11-19 12:37:38 EST
Resolved with revision 7340 of:
   build-tools/builders/eap/post-patch/patch_wscxf_webapp.xml
   build-tools/builders/eap/resource/patch_wscxf_webapp_macros.xsl	(added)
   build-tools/builders/eap/resource/patch_wscxf_webapp_beans.xsl	(added)
   build-tools/builders/esb/build.xml

Commit message:
  SOA-2338
  Take jbossesb-cxf.jar from ESB and add it to the WS CXF lib directory.
  Modify the CXF installer and configuration for the ESB code.
Comment 6 Darrin Mison 2011-01-04 19:14:39 EST
Writer: Added: dlesage
Comment 7 David Le Sage 2011-02-10 22:45:04 EST
Temporarily reopening to update release note info.
Comment 8 David Le Sage 2011-02-10 22:59:33 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3484

The SOA Platform's InVM invocation relied on BusHolder but this was not added until a later version of the JBossWS CXF integration. To rectify this, it was necessary to extend the JBossWS configuration to support  InVM invocations. This means that the the ESB code can then choose whether to create a ServletControllerExt using the BusHolder or reference the instance stored in the extension 'bag'.

Note You need to log in before you can comment on or make changes to this bug.